ssget

Discussion in 'AutoCAD' started by John, Jun 9, 2004.

  1. John

    John Guest

    I was trying to select only mtext and text but this code not selecting it.
    what I'm doing wrong here

    (setq gt (ssget '((0 . "MTEXT" ) (0 . "text" ))))

    thanks

    John
     
    John, Jun 9, 2004
    #1
  2. John

    David Bethel Guest

    Or

    (setq gt (ssget '((0 . "MTEXT,TEXT" ))))

    -David
     
    David Bethel, Jun 9, 2004
    #2
  3. John

    John Guest

    Thank you Bruno and David

    John
     
    John, Jun 9, 2004
    #3
  4. John

    BTO Guest

    thx, I optimized my old :

    (setq SelectionEntiteCalque
    (ssget "X"
    (list
    (cons -4 "<OR")
    (cons -4 "<AND")
    (cons 0 "LINE")
    (cons 8 CalqueDeTravail )
    (cons 210 (list 0 0 1.0 ))
    (cons -4 "AND>")
    (cons -4 "<AND")
    (cons 0 "ARC")
    (cons 8 CalqueDeTravail )
    (cons 210 (list 0 0 1.0 ))
    (cons -4 "AND>")
    (cons -4 "OR>")
    )
    )
    )

    to :

    (setq SelectionEntiteCalque (ssget "X" (list (cons 0 "LINE,ARC" )(cons 8
    CalqueDeTravail )(cons 210 (list 0 0 1.0 )))))

    Bruno Toniutti
     
    BTO, Jun 10, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.